Index: trunk/SophyaLib/BaseTools/Makefile
===================================================================
--- trunk/SophyaLib/BaseTools/Makefile	(revision 2831)
+++ trunk/SophyaLib/BaseTools/Makefile	(revision 2834)
@@ -18,5 +18,5 @@
   $(SOPHYAINCP)machdefs.h dvlist.h objfio.h \
   anydataobj.h ppersist.h pexceptions.h gnumd5.h ppfbinstream.h \
-  rawstream.h ppfnametag.h mutyv.h \
+  rawstream.h ppfnametag.h mutyv.h timestamp.h \
   $(SOPHYAINCP)strutil.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  dvlist.cc
@@ -29,5 +29,7 @@
  
 $(SOPHYAOBJP)mutyv.o: mutyv.cc sopnamsp.h mutyv.h \
-  $(SOPHYAINCP)machdefs.h
+  $(SOPHYAINCP)machdefs.h timestamp.h \
+  objfio.h anydataobj.h ppersist.h pexceptions.h gnumd5.h ppfbinstream.h \
+  rawstream.h ppfnametag.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  mutyv.cc
  
@@ -66,11 +68,12 @@
   pexceptions.h ppersist.h gnumd5.h ppfbinstream.h rawstream.h \
   ppfnametag.h fiondblock.h ndatablock.h anydataobj.h dvlist.h objfio.h \
-  mutyv.h fiosegdb.h segdatablock.h ppftpointerio.h ppfwrapstlv.h \
-  sversion.h
+  mutyv.h timestamp.h fiosegdb.h segdatablock.h ppftpointerio.h \
+  ppfwrapstlv.h sversion.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  sophyainit.cc
  
 $(SOPHYAOBJP)timestamp.o: timestamp.cc sopnamsp.h \
   $(SOPHYAINCP)machdefs.h timestamp.h \
-  pexceptions.h
+  objfio.h anydataobj.h ppersist.h pexceptions.h gnumd5.h ppfbinstream.h \
+  rawstream.h ppfnametag.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  timestamp.cc
  
Index: trunk/SophyaLib/HiStats/Makefile
===================================================================
--- trunk/SophyaLib/HiStats/Makefile	(revision 2831)
+++ trunk/SophyaLib/HiStats/Makefile	(revision 2834)
@@ -23,5 +23,12 @@
   $(SOPHYAINCP)ppfnametag.h \
   $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)segdatablock.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
   $(SOPHYAINCP)sopnamsp.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  basedtable.cc
@@ -39,5 +46,12 @@
   $(SOPHYAINCP)ppfnametag.h \
   $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)segdatablock.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
   $(SOPHYAINCP)sopnamsp.h \
   $(SOPHYAINCP)strutil.h \
@@ -58,5 +72,12 @@
   $(SOPHYAINCP)ppfnametag.h \
   $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)segdatablock.h swppfdtable.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)segdatablock.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h swppfdtable.h \
   $(SOPHYAINCP)swsegdb.h \
   $(SOPHYAINCP)ppfswapper.h \
@@ -79,11 +100,12 @@
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h histos.h
@@ -112,4 +134,5 @@
   $(SOPHYAINCP)basarr.h \
   $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)ndatablock.h \
@@ -140,4 +163,5 @@
   $(SOPHYAINCP)basarr.h \
   $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)ndatablock.h \
@@ -169,4 +193,5 @@
   $(SOPHYAINCP)basarr.h \
   $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)ndatablock.h \
@@ -195,4 +220,5 @@
   $(SOPHYAINCP)basarr.h \
   $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)ndatablock.h \
@@ -219,5 +245,6 @@
   $(SOPHYAINCP)ppfnametag.h ntupintf.h \
   $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)mutyv.h
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  ntuple.cc
  
@@ -234,5 +261,6 @@
   $(SOPHYAINCP)ppfnametag.h ntupintf.h \
   $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)mutyv.h
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  proxtuple.cc
  
@@ -249,5 +277,12 @@
   $(SOPHYAINCP)ppfnametag.h \
   $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)segdatablock.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
   $(SOPHYAINCP)swsegdb.h \
   $(SOPHYAINCP)ppfswapper.h \
@@ -268,5 +303,6 @@
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  xntuple.cc
  
Index: trunk/SophyaLib/NTools/Makefile
===================================================================
--- trunk/SophyaLib/NTools/Makefile	(revision 2831)
+++ trunk/SophyaLib/NTools/Makefile	(revision 2834)
@@ -21,12 +21,13 @@
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
@@ -50,11 +51,12 @@
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
@@ -89,11 +91,12 @@
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
@@ -121,4 +124,5 @@
   $(SOPHYAINCP)basarr.h \
   $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)ndatablock.h \
@@ -138,11 +142,12 @@
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h generaldata.h \
@@ -163,11 +168,12 @@
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h generaldata.h \
@@ -187,11 +193,12 @@
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
@@ -208,11 +215,12 @@
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
@@ -229,11 +237,12 @@
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
@@ -250,11 +259,12 @@
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h
@@ -272,11 +282,12 @@
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h generaldata.h \
@@ -296,11 +307,12 @@
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h generaldata.h \
@@ -320,11 +332,12 @@
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h generaldata.h \
@@ -357,4 +370,5 @@
   $(SOPHYAINCP)basarr.h \
   $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)ndatablock.h \
@@ -373,12 +387,13 @@
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h cimage.h \
@@ -417,4 +432,5 @@
   $(SOPHYAINCP)basarr.h \
   $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)ndatablock.h \
@@ -440,4 +456,5 @@
   $(SOPHYAINCP)basarr.h \
   $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)ndatablock.h \
@@ -457,11 +474,12 @@
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
@@ -485,12 +503,13 @@
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h generalfit.h \
Index: trunk/SophyaLib/Samba/Makefile
===================================================================
--- trunk/SophyaLib/Samba/Makefile	(revision 2831)
+++ trunk/SophyaLib/Samba/Makefile	(revision 2834)
@@ -26,5 +26,5 @@
   $(SOPHYAINCP)basarr.h \
   $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)ppersist.h \
@@ -33,4 +33,5 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)utilarr.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  alm.cc
@@ -75,5 +76,5 @@
   $(SOPHYAINCP)basarr.h \
   $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)ppersist.h \
@@ -83,4 +84,5 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)utilarr.h alm.h \
   $(SOPHYAINCP)nbrandom.h \
@@ -107,4 +109,5 @@
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)spherepos.h \
   $(SOPHYAINCP)unitvector.h \
@@ -142,4 +145,5 @@
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)fiondblock.h \
@@ -164,4 +168,5 @@
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)spherepos.h \
   $(SOPHYAINCP)unitvector.h \
Index: trunk/SophyaLib/SkyMap/Makefile
===================================================================
--- trunk/SophyaLib/SkyMap/Makefile	(revision 2831)
+++ trunk/SophyaLib/SkyMap/Makefile	(revision 2834)
@@ -21,12 +21,13 @@
   $(SOPHYAINCP)basarr.h \
   $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)ppersist.h \
-  $(SOPHYAINCP)pexceptions.h \
-  $(SOPHYAINCP)gnumd5.h \
-  $(SOPHYAINCP)ppfbinstream.h \
-  $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)utilarr.h \
   $(SOPHYAINCP)smathconst.h
@@ -46,5 +47,6 @@
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h spherepos.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h spherepos.h \
   unitvector.h vector3d.h longlat.h utilgeom.h \
   $(SOPHYAINCP)tvector.h \
@@ -73,5 +75,6 @@
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h spherepos.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h spherepos.h \
   unitvector.h vector3d.h longlat.h utilgeom.h \
   $(SOPHYAINCP)tvector.h \
@@ -98,5 +101,6 @@
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h spherepos.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h spherepos.h \
   unitvector.h vector3d.h longlat.h utilgeom.h \
   $(SOPHYAINCP)tvector.h \
@@ -123,5 +127,6 @@
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h spherepos.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h spherepos.h \
   unitvector.h vector3d.h longlat.h utilgeom.h \
   $(SOPHYAINCP)tvector.h \
@@ -147,5 +152,6 @@
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h spherepos.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h spherepos.h \
   unitvector.h vector3d.h longlat.h utilgeom.h sphericalmap.h \
   $(SOPHYAINCP)smathconst.h \
@@ -178,5 +184,6 @@
   $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)mutyv.h spherepos.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h spherepos.h \
   unitvector.h vector3d.h longlat.h utilgeom.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  mapoperation.cc
@@ -196,5 +203,6 @@
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h spherepos.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h spherepos.h \
   unitvector.h vector3d.h longlat.h utilgeom.h \
   $(SOPHYAINCP)tvector.h \
@@ -221,5 +229,6 @@
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h spherepos.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h spherepos.h \
   unitvector.h vector3d.h longlat.h utilgeom.h \
   $(SOPHYAINCP)tvector.h \
@@ -246,5 +255,6 @@
   pixelmap.h $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)objfio.h \
-  $(SOPHYAINCP)mutyv.h spherepos.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h spherepos.h \
   unitvector.h vector3d.h longlat.h utilgeom.h \
   $(SOPHYAINCP)tvector.h \
@@ -283,5 +293,6 @@
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)anydataobj.h \
-  $(SOPHYAINCP)mutyv.h spherepos.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h spherepos.h \
   unitvector.h vector3d.h longlat.h utilgeom.h \
   $(SOPHYAINCP)tvector.h \
Index: trunk/SophyaLib/SkyT/Makefile
===================================================================
--- trunk/SophyaLib/SkyT/Makefile	(revision 2831)
+++ trunk/SophyaLib/SkyT/Makefile	(revision 2834)
@@ -100,4 +100,5 @@
   $(SOPHYAINCP)basarr.h \
   $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)ndatablock.h \
@@ -123,4 +124,5 @@
   $(SOPHYAINCP)basarr.h \
   $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)ndatablock.h \
@@ -140,5 +142,5 @@
   $(SOPHYAINCP)basarr.h \
   $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)ppersist.h \
@@ -147,4 +149,5 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h
@@ -160,5 +163,5 @@
   $(SOPHYAINCP)basarr.h \
   $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)ppersist.h \
@@ -168,4 +171,5 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)ndatablock.h \
   $(SOPHYAINCP)utilarr.h \
Index: trunk/SophyaLib/SysTools/Makefile
===================================================================
--- trunk/SophyaLib/SysTools/Makefile	(revision 2831)
+++ trunk/SophyaLib/SysTools/Makefile	(revision 2834)
@@ -29,5 +29,6 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
-  $(SOPHYAINCP)mutyv.h ctimer.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h ctimer.h \
   $(SOPHYAINCP)strutil.h \
   $(SOPHYAINCP)strutilxx.h cexpre.h rpneval.h \
Index: trunk/SophyaLib/TArray/Makefile
===================================================================
--- trunk/SophyaLib/TArray/Makefile	(revision 2831)
+++ trunk/SophyaLib/TArray/Makefile	(revision 2834)
@@ -16,5 +16,5 @@
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)ppersist.h \
@@ -22,5 +22,6 @@
   $(SOPHYAINCP)ppfbinstream.h \
   $(SOPHYAINCP)rawstream.h \
-  $(SOPHYAINCP)ppfnametag.h
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  basarr.cc
  
@@ -37,6 +38,7 @@
   $(SOPHYAINCP)anydataobj.h fioarr.h tarray.h \
   basarr.h $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
-  $(SOPHYAINCP)objfio.h utilarr.h tmatrix.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)dvlist.h utilarr.h tmatrix.h \
   tvector.h $(SOPHYAINCP)datatype.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  fioarr.cc
@@ -46,5 +48,5 @@
   basarr.h $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)ppersist.h \
@@ -54,4 +56,5 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)ndatablock.h utilarr.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  matharr.cc
@@ -61,5 +64,5 @@
   tarray.h basarr.h $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)ppersist.h \
@@ -69,4 +72,5 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)ndatablock.h utilarr.h \
   tvector.h $(SOPHYAINCP)smathconst.h
@@ -78,5 +82,5 @@
   basarr.h $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)ppersist.h \
@@ -85,4 +89,5 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)ndatablock.h utilarr.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tarray.cc
@@ -94,5 +99,5 @@
   basarr.h $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)ppersist.h \
@@ -102,4 +107,5 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)ndatablock.h utilarr.h \
   tmatrix.h tvector.h
@@ -111,5 +117,5 @@
   tarray.h basarr.h $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)ppersist.h \
@@ -118,4 +124,5 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)ndatablock.h utilarr.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tmatrix.cc
@@ -129,5 +136,5 @@
   basarr.h $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)ppersist.h \
@@ -137,4 +144,5 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)ndatablock.h utilarr.h \
   tmatrix.h tvector.h matharr.h fioarr.h sopemtx.h \
@@ -151,5 +159,5 @@
   $(SOPHYAINCP)anydataobj.h \
   $(SOPHYAINCP)mutyv.h \
-  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)timestamp.h \
   $(SOPHYAINCP)objfio.h \
   $(SOPHYAINCP)ppersist.h \
@@ -158,4 +166,5 @@
   $(SOPHYAINCP)rawstream.h \
   $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)dvlist.h \
   $(SOPHYAINCP)ndatablock.h utilarr.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  tvector.cc
@@ -164,4 +173,13 @@
   $(SOPHYAINCP)machdefs.h utilarr.h \
   $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)timestamp.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
   $(SOPHYAINCP)srandgen.h
 	$(CXXCOMPILE) $(CXXTEMPFLG) -o $@  utilarr.cc
